System.Design 2.0.0.0 System.Object To be added.

This class is used to generate a database query method signature, as it will be created by the typed dataset generator.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the MethodSignatureGenerator class.

- Property
  2.0.0.0
  System.CodeDom.Compiler.CodeDomProvider To be added. To be added.

  Gets or sets the object.

- Property
  2.0.0.0
  System.Type To be added. To be added.

  Gets or sets the type of object that the query will fill.

- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets or sets the type name of the typed dataset to be filled.

- Method
  2.0.0.0
  System.CodeDom.CodeMemberMethod To be added.

  Returns the code member method representing the database query, as generated by the typed dataset generator.

  The object representing the database query, as generated by the typed dataset generator.

- Method
  2.0.0.0
  System.String To be added.

  Returns a string representing the database query method signature, as generated by the typed dataset generator.

  A string representing the database query method signature, as generated by the typed dataset generator.

- Method
  2.0.0.0
  System.CodeDom.CodeTypeDeclaration To be added.

  Returns a code type declaration containing the Insert, Update, and Delete methods associated with the database query.

  A object containing the Insert, Update, and Delete methods associated with the database query.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a Boolean value specifying whether the signature generated needs to return a object.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a Boolean value specifying whether the method supports paging.

- Property
  2.0.0.0
  System.Data.Design.ParameterGenerationOption To be added.

  For more information, see .

  Gets or sets the category of types to use for parameters.

- Method
  2.0.0.0
  System.Void ``

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  Sets the schema of the design table for which the database query method will be generated.

  A string representation of the table schema.
- Method
  2.0.0.0
  System.Void ``

  Calling this method with untrusted data is a security risk. Call this method only with trusted data. For more information, see Untrusted Data Security Risks.

  Sets the database query for which the method signature will be generated.

  A string representation of the database query.
- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets or sets the type name of the typed table to fill.